#ifndef CONTROLLER_H
#define CONTROLLER_H

#include <windows.h>
#include "diffractioncontrol.h"

class Controller
{
private:
    DiffractionControl _diffCtrl;
    
public:
    Controller(HWND hwnd, int IDmap);
    ~Controller();
    int CloseProc();
    operator HWND() const;
    void Paint();
    void Command(HWND hwnd, WPARAM wParam, LPARAM lParam);
};

#endif // CONTROLLER_H
